//+------------------------------------------------------------------+
//|                                                 OnePivot_EA1.mq4 |
//|                      Copyright  2007, MetaQuotes Software Corp. |
//|                                        http://www.metaquotes.net |
//+------------------------------------------------------------------+
#property copyright "Copyright  2007, MetaQuotes Software Corp."
#property link      "http://www.metaquotes.net"
#define MAGICMA  20070726

//---- input parameters
extern double Lots               = 0.1;
extern int       EMAPeriod=2;
extern int       ma_method=MODE_SMMA;
extern int       TakeProfitPips=50;
extern int       StopLossPips=10;

//+------------------------------------------------------------------+
//| expert initialization function                                   |
//+------------------------------------------------------------------+
int init()
  {
//----
   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| expert deinitialization function                                 |
//+------------------------------------------------------------------+
int deinit()
  {
//----
   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| expert start function                                            |
//+------------------------------------------------------------------+
int start()
  {
   int    res,pos;
   double SL,TP;
   double EMAprevious, EMAnow, EMAafter, Pivotprevious, Pivotnow, Pivotafter;
   int err;


//----
     if(Bars<100)
     {
      Print("bars less than 100");
      return(0);  
     }

   if(Volume[0]>1) return;
//---- get Moving Average 
   pos = 1;
   EMAnow = iMA(NULL, 0, EMAPeriod, 0, ma_method, PRICE_CLOSE, pos);
   EMAprevious = iMA(NULL, 0, EMAPeriod, 0, ma_method, PRICE_CLOSE, pos+1);
   EMAafter = iMA(NULL, 0, EMAPeriod, 0, ma_method, PRICE_CLOSE, pos-1);

   Pivotnow = iCustom(NULL,0,"PrevDayAndFloatingPivot_O",0,pos) ;
   Pivotprevious = iCustom(NULL,0,"PrevDayAndFloatingPivot_O",0,pos+1) ;
   Pivotafter = iCustom(NULL,0,"PrevDayAndFloatingPivot_O",0,pos-1) ;
   
//---- sell conditions
    if ((EMAnow > Pivotnow) && (EMAprevious < Pivotprevious) && (EMAafter > Pivotafter )) { 
      SL = Ask-(StopLossPips*Point)-(Ask-Bid);
      TP = Ask+TakeProfitPips*Point;
      res=OrderSend(Symbol(),OP_BUY, Lots,Ask,3,SL,TP,"",MAGICMA,0,Blue);
      if (res == -1)
      {
         err=GetLastError();
         Print("Ask ",Ask," SL ",DoubleToStr(SL,4)," TP ",DoubleToStr(TP,4), " Err ",err);
      }
      return;
     }
//---- buy conditions
    if ((EMAnow < Pivotnow) && (EMAprevious > Pivotprevious) && (EMAafter < Pivotafter) ) { // 
      SL = Bid+(10*Point)+(Ask-Bid);
      TP = Bid-TakeProfitPips*Point;
      res=OrderSend(Symbol(),OP_SELL,Lots,Bid,3,SL,TP,"",MAGICMA,0,Red);
      if (res == -1)
      {
         err=GetLastError();
         Print("Bid ",Bid," SL ",DoubleToStr(SL,4)," TP ",DoubleToStr(TP,4), " Err ",err);
      }
      return;
     }
     
   
//----
   return(0);
  }
//------------------------------------------------------------------+